## libmseed 2.19.5

=== example/Makefile ===

# Build environment can be configured the following
# environment variables:
#   CC : Specify the C compiler to use
#   CFLAGS : Specify compiler options to use

# Required compiler parameters
CFLAGS += -I..

LDFLAGS = -L..
LDLIBS = -lmseed

all: msview msrepack

msview: msview.o
	$(CC) $(CFLAGS) -o $@ msview.o $(LDFLAGS) $(LDLIBS)

msrepack: msrepack.o
	$(CC) $(CFLAGS) -o $@ msrepack.o $(LDFLAGS) $(LDLIBS)

clean:
	rm -f msview.o msview msrepack.o msrepack

install:
	@echo
	@echo "No install target, copy the executable(s) as needed"
	@echo

=== debian/changelog ===
libmseed (2.19.5-1) unstable; urgency=medium

  * added copyrights

  * New 2.19.5 upstream release

  * New 2.19.2 upstream release

  * Initial release (Closes: #851806)

 -- Pierre Duperray <pierreduperray@free.fr>  Sun, 08 Jan 2017 22:38:22 +0100

=== debian/control ===
Source: libmseed
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Pierre Duperray <pierreduperray@free.fr>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/libmseed.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/libmseed.git
Homepage: http://ds.iris.edu/ds/nodes/dmc/software/downloads/libmseed/

Package: libmseed-dev
Architecture: any
Section: libdevel
Depends: libmseed2 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libmseed-doc
Description: seed data records manipulation library (development files)
 Provides a framework for manipulation of SEED (Standard for the Exchange
 of Earthquake Data) data records.
 .
 This package includes development files for compiling against libmseed.

Package: libmseed-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: seed data records manipulation library (documentation and example files)
 Provides a framework for manipulation of SEED (Standard for the Exchange
 of Earthquake Data) data records.
 .
 This package includes documentation and example files for compiling against
 libmseed.

Package: libmseed2
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: seed data records manipulation library
 Provides a framework for manipulation of SEED (Standard for the Exchange
 of Earthquake Data) data records.
 .
 Functionality is also included for managing waveform data as continuous
 traces. All structures of seed 2.4 data records are supported with the
 following exceptions: Blockette 2000 opaque data which has an unknown
 data structure by definition and Blockette 405.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/architecture.mk
ifeq ($(origin CC),default)
CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- shared

override_dh_install:
	dh_install --list-missing
#-X.la -X.pyc -X.pyo

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

=== debian/tests/control ===
Tests: msview, msrepack
Depends: libmseed-dev, libmseed-doc, pkg-config

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libmseed-$1\.tar\.gz/ \
 https://github.com/iris-edu/libmseed/releases /iris-edu/libmseed/archive/v(\d\S+)\.tar\.gz

## libmseed 2.19.6

=== Makefile ===

# Build environment can be configured the following
# environment variables:
#   CC : Specify the C compiler to use
#   CFLAGS : Specify compiler options to use
#   LDFLAGS : Specify linker options to use
#   CPPFLAGS : Specify c-preprocessor options to use

# Extract version from libmseed.h, expected line should include LIBMSEED_VERSION "#.#.#"
MAJOR_VER = $(shell grep LIBMSEED_VERSION libmseed.h | grep -Eo '[0-9]+.[0-9]+.[0-9]+' | cut -d . -f 1)
FULL_VER = $(shell grep LIBMSEED_VERSION libmseed.h | grep -Eo '[0-9]+.[0-9]+.[0-9]+')
COMPAT_VER = $(MAJOR_VER).0.0

# Default settings for install target
PREFIX ?= /usr/local
EXEC_PREFIX ?= $(PREFIX)
LIBDIR ?= $(EXEC_PREFIX)/lib
INCLUDEDIR ?= $(PREFIX)/include
DATAROOTDIR ?= $(PREFIX)/share
DOCDIR ?= $(DATAROOTDIR)/doc/libmseed
MANDIR ?= $(DATAROOTDIR)/man
MAN3DIR ?= $(MANDIR)/man3

LIB_SRCS = fileutils.c genutils.c gswap.c lmplatform.c lookup.c \
           msrutils.c pack.c packdata.c traceutils.c tracelist.c \
           parseutils.c unpack.c unpackdata.c selection.c logging.c

LIB_OBJS = $(LIB_SRCS:.c=.o)
LIB_DOBJS = $(LIB_SRCS:.c=.lo)

LIB_A = libmseed.a
LIB_SO_BASE = libmseed.so
LIB_SO_NAME = $(LIB_SO_BASE).$(MAJOR_VER)
LIB_SO = $(LIB_SO_BASE).$(FULL_VER)
LIB_DYN_NAME = libmseed.dylib
LIB_DYN = libmseed.$(FULL_VER).dylib
LIB_FILES = Blarg

all: static

static: $(LIB_A)

# Build dynamic (.dylib) on macOS/Darwin, otherwise shared (.so)
shared dynamic:
ifeq ($(shell uname -s),Darwin)
	$(MAKE) $(LIB_DYN)
else
	$(MAKE) $(LIB_SO)
endif

# Build static library
$(LIB_A): $(LIB_OBJS)
	@echo "Building static library $(LIB_A)"
	$(RM) -f $(LIB_A)
	$(AR) -crs $(LIB_A) $(LIB_OBJS)

# Build shared library using GCC-style options
$(LIB_SO): $(LIB_DOBJS)
	@echo "Building shared library $(LIB_SO)"
	$(RM) -f $(LIB_SO) $(LIB_SONAME) $(LIB_SO_BASE)
	$(CC) $(CFLAGS) $(LDFLAGS) -shared -Wl,--version-script=libmseed.map -Wl,-soname,$(LIB_SO_NAME) -o $(LIB_SO) $(LIB_DOBJS)
	ln -s $(LIB_SO) $(LIB_SO_BASE)
	ln -s $(LIB_SO) $(LIB_SO_NAME)

# Build dynamic library (usually for macOS)
$(LIB_DYN): $(LIB_DOBJS)
	@echo "Building dynamic library $(LIB_DYN)"
	$(RM) -f $(LIB_DYN) $(LIB_DYN_NAME)
	$(CC) $(CFLAGS) -dynamiclib -compatibility_version $(COMPAT_VER) -current_version $(FULL_VER) -install_name $(LIB_DYN_NAME) -o $(LIB_DYN) $(LIB_DOBJS)
	ln -sf $(LIB_DYN) $(LIB_DYN_NAME)

test check: static FORCE
	@$(MAKE) -C test test

clean:
	@$(RM) -f $(LIB_OBJS) $(LIB_DOBJS) $(LIB_A) $(LIB_SO) $(LIB_SO_NAME) $(LIB_SO_BASE) $(LIB_DYN) $(LIB_DYN_NAME)
	@$(MAKE) -C test clean
	@echo "All clean."

install: shared
	@echo "Installing into $(PREFIX)"
	@mkdir -p $(DESTDIR)$(PREFIX)/include
	@cp libmseed.h $(DESTDIR)$(PREFIX)/include
	@mkdir -p $(DESTDIR)$(LIBDIR)/pkgconfig
ifneq ("$(wildcard $(LIB_SO))","")
	@cp -a $(LIB_SO_BASE) $(LIB_SO_NAME) $(LIB_SO) $(DESTDIR)$(LIBDIR)
endif
ifneq ("$(wildcard $(LIB_DYN))","")
	@cp -a $(LIB_DYN_NAME) $(LIB_DYN) $(DESTDIR)$(LIBDIR)
endif
	@sed -e 's|@prefix@|$(PREFIX)|g' \
	     -e 's|@exec_prefix@|$(EXEC_PREFIX)|g' \
	     -e 's|@libdir@|$(LIBDIR)|g' \
	     -e 's|@includedir@|$(PREFIX)/include|g' \
	     -e 's|@PACKAGE_NAME@|libmseed|g' \
	     -e 's|@PACKAGE_URL@|http://ds.iris.edu/ds/nodes/dmc/software/downloads/libmseed/|g' \
	     -e 's|@VERSION@|$(FULL_VER)|g' \
	     mseed.pc.in > $(DESTDIR)$(LIBDIR)/pkgconfig/mseed.pc
	@mkdir -p $(DESTDIR)$(DOCDIR)/example
	@cp -r example $(DESTDIR)$(DOCDIR)/
	@cp doc/libmseed-UsersGuide $(DESTDIR)$(DOCDIR)/
	@mkdir -p $(DESTDIR)$(MAN3DIR)
	@cp -a doc/ms*.3 $(DESTDIR)$(MAN3DIR)/

.SUFFIXES: .c .o .lo

# Standard object building
.c.o:
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $< -o $@

# Standard object building for dynamic library components using -fPIC
.c.lo:
	$(CC) $(CPPFLAGS) $(CFLAGS) -fPIC -c $< -o $@

FORCE:

=== debian/changelog ===
libmseed (2.19.6-1) unstable; urgency=medium

  * New upstream version 2.19.6
  * Drop all the patches (merged upstream)
  * Bump Standards-Version to 4.2.1 (no changes needed)
  * Disable DH_VERBOSE build
  * Update changelog for 2.19.6-1~4.gbpa1edec release

 -- Paride Legovini <pl@ninthfloor.org>  Fri, 07 Sep 2018 16:45:18 +0000

libmseed (2.19.5-2) unstable; urgency=medium

  * Add myself (Paride Legovini) to Uploaders
  * Bump debhelper compat level to 11.
  * Install the docs and examples as recommended in the Policy (§12.3),
    leveraging debhelper's auto-detection of the main package for -doc packages.
    In practice: libmseed-doc now installs the documentation and examples in
    /usr/share/doc/libmseed-dev/ instead of /usr/share/doc/libmseed-doc/.
  * Update the Vcs- fields (packaging repository moved to salsa).
  * d/control: Use secure URL in the Homepage field.
  * Call ‘dh_missing --list-missing’ instead of ‘dh_install --list-missing’.
  * d/copyright: Secure Source URL, updated copyright years, cosmetic changes.
  * Add upstream metadata file.
  * Bump Standards-Version to 4.1.5 (no changes needed).
  * Always include unistd.h and inttypes.h. Closes: #890571.
  * Fixed and improved autopkgtests.
  * Package converted to Multi-Arch.
  * Install the shared library using d-shibs. Thanks: Andreas Tille.

 -- Paride Legovini <pl@ninthfloor.org>  Fri, 06 Jul 2018 14:59:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: libmseed
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Pierre Duperray <pierreduperray@free.fr>
+Uploaders:
+ Pierre Duperray <pierreduperray@free.fr>,
+ Paride Legovini <pl@ninthfloor.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10)
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/libmseed.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/libmseed.git
-Homepage: http://ds.iris.edu/ds/nodes/dmc/software/downloads/libmseed/
+Build-Depends: debhelper (>= 11~), d-shlibs
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/science-team/libmseed
+Vcs-Git: https://salsa.debian.org/science-team/libmseed.git
+Homepage: https://ds.iris.edu/ds/nodes/dmc/software/downloads/libmseed/
 
 Package: libmseed-dev
 Architecture: any
 Section: libdevel
+Multi-Arch: same
 Depends: libmseed2 (= ${binary:Version}),
          ${misc:Depends}
 Suggests: libmseed-doc
@@ -24,6 +27,7 @@
 Package: libmseed-doc
 Architecture: all
 Section: doc
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: seed data records manipulation library (documentation and example files)
  Provides a framework for manipulation of SEED (Standard for the Exchange
@@ -35,6 +39,7 @@
 Package: libmseed2
 Architecture: any
 Section: libs
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: seed data records manipulation library

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

# https://wiki.debian.org/HardeningWalkthrough
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- shared

override_dh_missing:
	# Won't be necessary from compat 12 on.
	dh_missing --list-missing

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_install:
	dh_install

	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-a \
		    debian/tmp/usr/lib/*/libmseed.so

=== debian/tests/control ===
Tests: msview, msrepack
Depends: @, build-essential, pkg-config

## libmseed 2.19.8

=== Makefile ===
--- 
+++ 
@@ -26,27 +26,31 @@
            parseutils.c unpack.c unpackdata.c selection.c logging.c
 
 LIB_OBJS = $(LIB_SRCS:.c=.o)
-LIB_DOBJS = $(LIB_SRCS:.c=.lo)
+LIB_LOBJS = $(LIB_SRCS:.c=.lo)
 
-LIB_A = libmseed.a
-LIB_SO_BASE = libmseed.so
-LIB_SO_NAME = $(LIB_SO_BASE).$(MAJOR_VER)
-LIB_SO = $(LIB_SO_BASE).$(FULL_VER)
-LIB_DYN_NAME = libmseed.dylib
-LIB_DYN = libmseed.$(FULL_VER).dylib
-LIB_FILES = Blarg
+LIB_NAME = libmseed
+LIB_A = $(LIB_NAME).a
+
+OS := $(shell uname -s)
+
+# Build dynamic (.dylib) on macOS/Darwin, otherwise shared (.so)
+ifeq ($(OS), Darwin)
+	LIB_SO_BASE = $(LIB_NAME).dylib
+	LIB_SO_MAJOR = $(LIB_NAME).$(MAJOR_VER).dylib
+	LIB_SO = $(LIB_NAME).$(FULL_VER).dylib
+	LIB_OPTS = -dynamiclib -compatibility_version $(COMPAT_VER) -current_version $(FULL_VER) -install_name $(LIB_SO)
+else
+	LIB_SO_BASE = $(LIB_NAME).so
+	LIB_SO_MAJOR = $(LIB_NAME).so.$(MAJOR_VER)
+	LIB_SO = $(LIB_NAME).so.$(FULL_VER)
+	LIB_OPTS = -shared -Wl,--version-script=libmseed.map -Wl,-soname,$(LIB_SO_MAJOR)
+endif
 
 all: static
 
 static: $(LIB_A)
 
-# Build dynamic (.dylib) on macOS/Darwin, otherwise shared (.so)
-shared dynamic:
-ifeq ($(shell uname -s),Darwin)
-	$(MAKE) $(LIB_DYN)
-else
-	$(MAKE) $(LIB_SO)
-endif
+shared dynamic: $(LIB_SO)
 
 # Build static library
 $(LIB_A): $(LIB_OBJS)
@@ -54,26 +58,19 @@
 	$(RM) -f $(LIB_A)
 	$(AR) -crs $(LIB_A) $(LIB_OBJS)
 
-# Build shared library using GCC-style options
-$(LIB_SO): $(LIB_DOBJS)
+# Build shared/dynamic library
+$(LIB_SO): $(LIB_LOBJS)
 	@echo "Building shared library $(LIB_SO)"
-	$(RM) -f $(LIB_SO) $(LIB_SONAME) $(LIB_SO_BASE)
-	$(CC) $(CFLAGS) $(LDFLAGS) -shared -Wl,--version-script=libmseed.map -Wl,-soname,$(LIB_SO_NAME) -o $(LIB_SO) $(LIB_DOBJS)
+	$(RM) -f $(LIB_SO) $(LIB_SO_MAJOR) $(LIB_SO_BASE)
+	$(CC) $(CFLAGS) $(LDFLAGS) $(LIB_OPTS) -o $(LIB_SO) $(LIB_LOBJS)
 	ln -s $(LIB_SO) $(LIB_SO_BASE)
-	ln -s $(LIB_SO) $(LIB_SO_NAME)
-
-# Build dynamic library (usually for macOS)
-$(LIB_DYN): $(LIB_DOBJS)
-	@echo "Building dynamic library $(LIB_DYN)"
-	$(RM) -f $(LIB_DYN) $(LIB_DYN_NAME)
-	$(CC) $(CFLAGS) -dynamiclib -compatibility_version $(COMPAT_VER) -current_version $(FULL_VER) -install_name $(LIB_DYN_NAME) -o $(LIB_DYN) $(LIB_DOBJS)
-	ln -sf $(LIB_DYN) $(LIB_DYN_NAME)
+	ln -s $(LIB_SO) $(LIB_SO_MAJOR)
 
 test check: static FORCE
 	@$(MAKE) -C test test
 
 clean:
-	@$(RM) -f $(LIB_OBJS) $(LIB_DOBJS) $(LIB_A) $(LIB_SO) $(LIB_SO_NAME) $(LIB_SO_BASE) $(LIB_DYN) $(LIB_DYN_NAME)
+	$(RM) $(LIB_OBJS) $(LIB_LOBJS) $(LIB_A) $(LIB_SO) $(LIB_SO_MAJOR) $(LIB_SO_BASE) 
 	@$(MAKE) -C test clean
 	@echo "All clean."
 
@@ -82,12 +79,7 @@
 	@mkdir -p $(DESTDIR)$(PREFIX)/include
 	@cp libmseed.h $(DESTDIR)$(PREFIX)/include
 	@mkdir -p $(DESTDIR)$(LIBDIR)/pkgconfig
-ifneq ("$(wildcard $(LIB_SO))","")
-	@cp -a $(LIB_SO_BASE) $(LIB_SO_NAME) $(LIB_SO) $(DESTDIR)$(LIBDIR)
-endif
-ifneq ("$(wildcard $(LIB_DYN))","")
-	@cp -a $(LIB_DYN_NAME) $(LIB_DYN) $(DESTDIR)$(LIBDIR)
-endif
+	@cp -a $(LIB_SO_BASE) $(LIB_SO_MAJOR) $(LIB_SO_NAME) $(LIB_SO) $(DESTDIR)$(LIBDIR)
 	@sed -e 's|@prefix@|$(PREFIX)|g' \
 	     -e 's|@exec_prefix@|$(EXEC_PREFIX)|g' \
 	     -e 's|@libdir@|$(LIBDIR)|g' \
@@ -108,7 +100,7 @@
 .c.o:
 	$(CC) $(CPPFLAGS) $(CFLAGS) -c $< -o $@
 
-# Standard object building for dynamic library components using -fPIC
+# Standard object building for shared library using -fPIC
 .c.lo:
 	$(CC) $(CPPFLAGS) $(CFLAGS) -fPIC -c $< -o $@

=== test/Makefile ===
# This Makefile requires GNU make, sometimes available as gmake.
#
# A simple test suite for libmseed.
# See README for description.
#
# Build environment can be configured the following
# environment variables:
#   CC : Specify the C compiler to use
#   CFLAGS : Specify compiler options to use

# Required compiler parameters
CFLAGS += -I..

LDFLAGS = -L..
LDLIBS = -lmseed

SRCS := $(sort $(wildcard *.c))
BINS := $(SRCS:%.c=%)

TESTS := $(sort $(wildcard *.test))
TESTOUTS := $(TESTS:%.test=%.test.out)

# ASCII color coding for test results, green for PASSED and red for FAILED
PASSED := \033[0;32mPASSED\033[0m
FAILED := \033[0;31mFAILED\033[0m

TESTCOUNT := 0

test all: $(BINS) $(TESTOUTS)
	@printf '%d tests conducted\n' $(TESTCOUNT)

# Build programs and check for executable
$(BINS) : % : %.c
	@$(eval TESTCOUNT=$(shell echo $$(($(TESTCOUNT)+1))))
	@$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LDLIBS); exit 0;
	@if test -x $@; \
	  then printf '$(PASSED) Building $<\n'; \
	  else printf '$(FAILED) Building $<\n'; exit 1; \
        fi

# Run test scripts, create %.test.out files and compare to %.test.ref references
$(TESTOUTS) : %.test.out : %.test $(BINS) FORCE
	@$(eval TESTCOUNT=$(shell echo $$(($(TESTCOUNT)+1))))
	@$(shell ./$< > $@ 2>&1)
	@diff $<.ref $@ >/dev/null; \
          if [ $$? -eq 0 ]; \
            then printf '$(PASSED) Test $<\n'; \
            else printf '$(FAILED) Test $<, Compare $<.ref $@\n'; \
	    exit 0; \
          fi

clean:
	@rm -f $(BINS) $(TESTOUTS)

# Any targets using this empty FORCE rule as a prerequisite will always run
FORCE:

=== debian/changelog ===
libmseed (2.19.8-1ubuntu2) noble; urgency=medium

  * d/rules: Update d-shlibmove invocation so that libmseed2t64 package
    actually contains the shared library.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 19 Apr 2024 13:58:59 +1200

libmseed (2.19.8-1ubuntu1) noble; urgency=medium

  * Rename libmseed2 package as although it is not affected by the
    time_t transition to 64-bits, it is affected by the LFS migration
    which is implied by the time_t changes.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 19 Apr 2024 12:08:46 +1200

libmseed (2.19.8-1) unstable; urgency=medium

  * New upstream version 2.19.8
  * d/control: bump Standards-Version to 4.6.1, no changes needed

 -- Paride Legovini <paride@debian.org>  Sat, 25 Jun 2022 18:04:31 +0000

libmseed (2.19.7-1) unstable; urgency=medium

  * New upstream version 2.19.7
  * d/gbp.conf: debian-branch = debian/latest (DEP-14)
  * d/copyright: update copyright years for debian/*

 -- Paride Legovini <paride@debian.org>  Thu, 24 Mar 2022 23:53:49 +0000

libmseed (2.19.6-3) unstable; urgency=medium

  * d/tests: adjust tests for uncompressed examples.
    With dh compat >= 12 dh_compress no longer compresses examples
    (i.e. anything installed in </usr/share/doc/package/examples>).

 -- Paride Legovini <paride@debian.org>  Tue, 09 Nov 2021 22:29:21 +0000

libmseed (2.19.6-2) unstable; urgency=medium

  * d/control: bump Standards-Version to 4.6.0, no changes needed
  * d/control: bump the dh compat level to 13 (via debhelper-compat)
  * d/control: add Rules-Requires-Root: no
  * d/rules: drop DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed (now the default)
  * d/rules: drop dh_missing --list-missing (default in dh >= 12)
  * d/rules: drop DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
  * d/libmseed2.symbols: add Build-Depends-Package field
  * d/watch: query the GitHub releases API for 2.x releases
  * d/gbp.conf: rename branches according to DEP-14
  * d/copyright: add Paride as a copyright holder for debian/
  * debian/*: update Paride's email address (paride@debian.org)
  * debian/*: wrap-and-sort -bast (cosmetic)

 -- Paride Legovini <paride@debian.org>  Mon, 01 Nov 2021 12:00:31 +0000

=== debian/control ===
Source: libmseed
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Pierre Duperray <pierreduperray@free.fr>,
 Paride Legovini <paride@debian.org>,
Section: science
Priority: optional
Build-Depends:
 d-shlibs,
 debhelper-compat (= 13),
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/science-team/libmseed
Vcs-Git: https://salsa.debian.org/science-team/libmseed.git
Homepage: https://ds.iris.edu/ds/nodes/dmc/software/downloads/libmseed/
Rules-Requires-Root: no

Package: libmseed-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmseed2t64 (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 libmseed-doc,
Description: seed data records manipulation library (development files)
 Provides a framework for manipulation of SEED (Standard for the Exchange
 of Earthquake Data) data records.
 .
 This package includes development files for compiling against libmseed.

Package: libmseed-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: seed data records manipulation library (documentation and example files)
 Provides a framework for manipulation of SEED (Standard for the Exchange
 of Earthquake Data) data records.
 .
 This package includes documentation and example files for compiling against
 libmseed.

Package: libmseed2t64
Provides: ${t64:Provides}
Replaces: libmseed2
Breaks: libmseed2 (<< ${source:Version})
Conflicts: libmseed2 (<< ${source:Version})
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: seed data records manipulation library
 Provides a framework for manipulation of SEED (Standard for the Exchange
 of Earthquake Data) data records.
 .
 Functionality is also included for managing waveform data as continuous
 traces. All structures of seed 2.4 data records are supported with the
 following exceptions: Blockette 2000 opaque data which has an unknown
 data structure by definition and Blockette 405.

=== debian/rules ===
#!/usr/bin/make -f

# https://wiki.debian.org/HardeningWalkthrough
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- shared

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_install:
	dh_install

	d-shlibmove --commit \
		    --t64 \
		    --multiarch \
		    --devunversioned \
		    --exclude-a \
		    debian/tmp/usr/lib/*/libmseed.so

=== debian/tests/control ===
Tests: msview, msrepack
Depends:
 build-essential,
 pkg-config,
 @,
